oracle.jdbc.pool

## Class ShardingMetadata.SubKeyMetadata

- java.lang.Object
- - oracle.jdbc.pool.ShardingMetadata.SubKeyMetadata

All Implemented Interfaces:
  Comparable<ShardingMetadata.SubKeyMetadata>

Enclosing class:
  ShardingMetadata

    public static class ShardingMetadata.SubKeyMetadata
    extends Object
    implements Comparable<ShardingMetadata.SubKeyMetadata>

Holds the shard sub key metadata information extracted from the database.

### Constructor Summary

Constructors
Constructor and Description
`SubKeyMetadata(int index, SQLType dataType, int charSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(ShardingMetadata.SubKeyMetadata o)` Method used to defined natural ordering for the sub key column info based on the column index.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubKeyMetadata

    public SubKeyMetadata(int index,
                          SQLType dataType,
                          int charSet)

Parameters:
  `index` - column index of the subkey
  `dataType` - type of the subkey to be constructed
  `charSet` - character set of the subkey in the database

### Method Detail

#### compareTo

    public int compareTo(ShardingMetadata.SubKeyMetadata o)

Method used to defined natural ordering for the sub key column info based on the column index.

Specified by:
  `compareTo` in interface `Comparable<ShardingMetadata.SubKeyMetadata>`
Parameters:
  `o` - SubKeyMetadata to which this object is to be compared.
Returns:
  -1, 0 or 1 as this metadata is less than, equal to, or greater than the metadata that is passed in as a method parameter
See Also:
  `Comparable.compareTo(java.lang.Object)`

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.